
Lookup Editor - Bug #2804

No horizontal scrollbars

06/30/2020 05:20 PM - Luke Murphey

Status: Closed Start date: 06/30/2020

Priority: Normal Due date:  

Assignee: Luke Murphey % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: 3.4.5   

Description

Related issues:

Related to Lookup Editor - Task #2637: Remove horizontal scrollbars when cont... Closed 04/03/2020

Associated revisions

Revision 665 - 07/13/2020 04:32 PM - luke.murphey

Fixing lack of horizonabl scrollbars

Reference #2804

Revision 666 - 07/13/2020 05:07 PM - luke.murphey

Fixing scrolling issue

Reference #2804

History

#1 - 06/30/2020 05:20 PM - Luke Murphey

- Related to Task #2637: Remove horizontal scrollbars when content is not too wide added

#2 - 07/13/2020 04:14 PM - Luke Murphey

See https://lukemurphey.net/projects/splunk-lookup-editor/repository/revisions/622/diff

#3 - 07/13/2020 04:17 PM - Luke Murphey

Obs:

Returning to the prior jexcel CSS doesn't fix this

Qs:

What change was done to regress this?

How had I fixed this before?

Just by adding a little margin

margin-right: 16px;

Has anyone else seen this issue?

https://github.com/paulhodel/jexcel/issues/215

What is causing the horizontal scrollbars to appear?

Solns:

"overflow-x: visible;" on lookup-table

Works, but now the horizontal scrolls are always present
#4 - 07/13/2020 05:07 PM - Luke Murphey

Prob: now horizontal scrollbars always appear

Qs: *

Obs:

It seems like the scrollbar on the right is causing the other one to appear

https://stackoverflow.com/questions/13569610/vertical-scrollbar-leads-to-horizontal-scrollbar

Solns:

Remove table width from jexcel

Set table width to less than 100%

Back off the calculation of the table column calculation

#5 - 07/13/2020 05:07 PM - Luke Murphey

- Status changed from New to Closed

- % Done changed from 0 to 100
